# Uses of Interface
javax.swing.tree.RowMapper

Packages that use RowMapper
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of RowMapper in javax.swing

Methods in javax.swing with parameters of type RowMapper
Modifier and Type
Method
Description
`void`
JTree.EmptySelectionModel.`setRowMapper(RowMapper mapper)`
This is overriden to do nothing; `EmptySelectionModel` does not allow a selection.

## Uses of RowMapper in javax.swing.tree

Classes in javax.swing.tree that implement RowMapper
Modifier and Type
Class
Description
`class`
`AbstractLayoutCache`
Warning: Serialized objects of this class will not be compatible with future Swing releases.
`class`
`FixedHeightLayoutCache`
NOTE: This will become more open in a future release.
`class`
`VariableHeightLayoutCache`
NOTE: This will become more open in a future release.
Fields in javax.swing.tree declared as RowMapper
Modifier and Type
Field
Description
`protected RowMapper`
DefaultTreeSelectionModel.`rowMapper`
Provides a row for a given path.
Methods in javax.swing.tree that return RowMapper
Modifier and Type
Method
Description
`RowMapper`
DefaultTreeSelectionModel.`getRowMapper()`
Returns the RowMapper instance that is able to map a TreePath to a row.
`RowMapper`
TreeSelectionModel.`getRowMapper()`
Returns the RowMapper instance that is able to map a TreePath to a row.
Methods in javax.swing.tree with parameters of type RowMapper
Modifier and Type
Method
Description
`void`
DefaultTreeSelectionModel.`setRowMapper(RowMapper newMapper)`
Sets the RowMapper instance.
`void`
TreeSelectionModel.`setRowMapper(RowMapper newMapper)`
Sets the RowMapper instance.